org.fourthline.cling.binding.xml

## Class UDA10DeviceDescriptorBinderSAXImpl.ServiceListHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.seamless.xml.SAXParser.Handler<I>
    - - org.fourthline.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<List<MutableService>>
      - - org.fourthline.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.ServiceListHandler

- All Implemented Interfaces:
    ContentHandler, DTDHandler, EntityResolver, ErrorHandler
  Enclosing class:
    UDA10DeviceDescriptorBinderSAXImpl

      protected static class UDA10DeviceDescriptorBinderSAXImpl.ServiceListHandler
      extends UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<List<MutableService>>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Descriptor.Device.ELEMENT` | `EL`

    - ### Fields inherited from class org.seamless.xml.SAXParser.Handler

      `attributes, characters, instance, parent, parser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UDA10DeviceDescriptorBinderSAXImpl.ServiceListHandler(List<MutableService> instance, UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLastElement(Descriptor.Device.ELEMENT element)`
    `void` | `startElement(Descriptor.Device.ELEMENT element, Attributes attributes)`

    - ### Methods inherited from class org.fourthline.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler

      `endElement, endElement, isLastElement, startElement`

    - ### Methods inherited from class org.seamless.xml.SAXParser.Handler

      `characters, getAttributes, getCharacters, getInstance, getParent, getParser, switchToParent`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EL

          public static final Descriptor.Device.ELEMENT EL

  - ### Constructor Detail

    - #### UDA10DeviceDescriptorBinderSAXImpl.ServiceListHandler

          public UDA10DeviceDescriptorBinderSAXImpl.ServiceListHandler(List<MutableService> instance,
                                                               UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)

  - ### Method Detail

    - #### startElement

          public void startElement(Descriptor.Device.ELEMENT element,
                          Attributes attributes)
                            throws SAXException

      Overrides:
        `startElement` in class `UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<List<MutableService>>`
      Throws:
        `SAXException`

    - #### isLastElement

          public boolean isLastElement(Descriptor.Device.ELEMENT element)

      Overrides:
        `isLastElement` in class `UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<List<MutableService>>`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.